Groovy 1.7.10

## org.codehaus.groovy.reflection
[Java] Class GeneratedMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.reflection.GeneratedMetaMethod

    public abstract class GeneratedMetaMethod
    extends MetaMethod

Nested Class Summary
`static class` | `GeneratedMetaMethod.DgmMethodRecord`
`static class` | `GeneratedMetaMethod.Proxy`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GeneratedMetaMethod

    public GeneratedMetaMethod(String name, CachedClass declaringClass, Class returnType, Class[] parameters)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

Copyright © 2003-2010 The Codehaus. All rights reserved.